#!/usr/bin/perl -w
use Test; 
BEGIN { plan tests => 18 }
BEGIN { unshift @INC, "../blib/lib" }
use POWER::lib;

ok(Diff(undef,undef), 1,    "undef vs undef");
ok(Diff(0,0), 1,            "0 vs 0");
ok(Diff(1,1), 1,            "1 vs 1");
ok(Diff(-10,-10), 1,        "-10 vs -10");
ok(Diff('',''), 1,          "'' vs ''");
ok(Diff("qwe","qwe"), 1,    "'qwe' vs 'qwe'");
ok(Diff(\undef,\undef), 1,  "\\undef vs \\undef");
ok(Diff(\0,\0), 1,          "\\0 vs \\0");
ok(Diff(\'',\''), 1,        "\\'' vs \\''");
ok(Diff(\"qwe",\"qwe"), 1,  "\\'qwe' vs \\'qwe'");
ok(Diff([],[]), 1,          "[] vs []");
ok(Diff({},{}), 1,          "{} vs {}");
ok(Diff([4],[4]), 1,        "[4] vs [4]");
ok(Diff([4,0],[4,0]), 1,    "[4,0] vs [4,0]");
$ret = Diff({ qwe=>1, asd=>[2], zxc=>{0=>undef} },
            { asd=>[2], zxc=>{0=>undef}, qwe=>1 });
ok($ret, 1,                 "complex vs complex");

ok(Diff(undef,''), undef,   "undef vs ''");
$ret = Diff({ qwe=>1, asd=>[2], zxc=>{0=>undef} },
            { asd=>[2], zxc=>{0=>''}, qwe=>1 });
ok($ret, undef,                 "complex vs complex");

$sub = sub {};
ok(Diff($sub, $sub), undef, "sub ref");

